#
# spec file for package graphviz-plugins
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define mname graphviz
#name of the plugin config file that dot creates
%define config_file config6

%bcond_without java
%bcond_with    graphviz_ocaml
%bcond_with mono

Name:           graphviz-plugins
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  bison
BuildRequires:  cairo-devel
BuildRequires:  flex
BuildRequires:  freetype2-devel >= 2
BuildRequires:  gcc-c++
BuildRequires:  gd-devel
BuildRequires:  ghostscript
BuildRequires:  gmp-devel
BuildRequires:  graphviz
BuildRequires:  guile-devel
BuildRequires:  libexpat-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libstdc++-devel
BuildRequires:  m4
BuildRequires:  pango-devel
%ifnarch aarch64
%if 0%suse_version > 1220
BuildRequires:  gtkglext-devel
%endif
%endif
%if %{with java}
#BuildRequires:  gcc-java
#BuildRequires:  libgcj-devel
BuildRequires:  java-devel >= 1.6.0
%endif
%if %{with mono}
BuildRequires:  mono-core
%endif
%if %{with graphviz_ocaml}
BuildRequires:  ocaml
%endif
BuildRequires:  fdupes
BuildRequires:  perl
BuildRequires:  php5-devel
BuildRequires:  python-devel
BuildRequires:  ruby
BuildRequires:  ruby-devel
BuildRequires:  swig
BuildRequires:  tk-devel >= 8.3
BuildRequires:  xorg-x11-devel
BuildRequires:  xorg-x11-libICE-devel
BuildRequires:  xorg-x11-libSM-devel
BuildRequires:  xorg-x11-libX11-devel
BuildRequires:  xorg-x11-libXext-devel
BuildRequires:  xorg-x11-libXmu-devel
BuildRequires:  xorg-x11-libXpm-devel
BuildRequires:  xorg-x11-libXt-devel
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libglade-2.0)
BuildRequires:  pkgconfig(lua) >= 5.1
BuildRequires:  pkgconfig(pango)
Version:        2.38.0
Release:        12.1
Summary:        Graph Visualization Tools
License:        EPL-1.0
Group:          Productivity/Graphics/Visualization/Graph
Url:            http://www.graphviz.org/
Source:         http://graphviz.org/pub/graphviz/stable/SOURCES/graphviz-%{version}.tar.gz
#PATCH-FIX-UPSTREAM There are too many type-punnings in the vmalloc sources
Patch3:         graphviz-no_strict_aliasing.patch
Patch4:         graphviz-array_overflow.patch
Patch5:         graphviz-fix_format_string_vulnerability.patch
#Patches from 100 up are for graphviz-plugin only
Patch100:       graphviz-plugins-fix_install_dirs.patch
Patch103:       graphviz-2.20.2-interpreter_names.patch
Patch106:       graphviz-fix-pkgIndex.patch
#PATCH-FIX-UPSTREAM Don't warn about harmless issues with swig generated code
Patch108:       graphviz-useless_warnings.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%{!?rb_vendorarchdir: %global rb_vendorarchdir %(/usr/bin/ruby -rrbconfig -e 'puts RbConfig::CONFIG["vendorarchdir"]' )}
%{!?rb_sitearchdir:   %global rb_sitearchdir   %(/usr/bin/ruby -rrbconfig -e 'puts RbConfig::CONFIG["sitearchdir"]' )}
%define lua_libdir %{_libdir}/lua/%(pkg-config --variable=V lua)
%define debug_package_requires graphviz_plugin = %{version}-%{release}

%description
A collection of tools and tcl packages for the manipulation and layout
of graphs (as in nodes and edges, not as in bar charts).

%package -n graphviz-gnome
Summary:        Graphviz plugins that use gtk/GNOME
Group:          Productivity/Graphics/Visualization/Graph
Requires(post): graphviz = %{version}
Requires:       xorg-x11-fonts
Provides:       graphviz_plugin = %{version}

%description -n graphviz-gnome
Graphviz plugins that use gtk/GNOME.

%package -n graphviz-gd
Summary:        Graphviz plugin for renderers based on gd
Group:          Productivity/Graphics/Visualization/Graph
Requires(post): graphviz = %{version}
Provides:       graphviz_plugin = %{version}

%description -n graphviz-gd
The graphviz-gd package contains the gd extensions for the graphviz
tools.

%package -n graphviz-guile
Summary:        Graph Visualization Tools
Group:          Productivity/Graphics/Visualization/Graph
Requires:       graphviz = %{version}
Requires:       guile
Provides:       graphviz_plugin = %{version}

%description -n graphviz-guile
A collection of tools and tcl packages for the manipulation and layout
of graphs (as in nodes and edges, not as in bar charts).

%if %{with java}
%package -n graphviz-java
Summary:        Graph Visualization Tools
Group:          Productivity/Graphics/Visualization/Graph
Requires:       graphviz = %{version}
Requires:       java
Provides:       graphviz_plugin = %{version}

%description -n graphviz-java
A collection of tools and tcl packages for the manipulation and layout
of graphs (as in nodes and edges, not as in bar charts).
%endif

%package -n graphviz-lua
Summary:        Lua extension for graphviz
Group:          Productivity/Graphics/Visualization/Graph
Requires:       graphviz = %{version}
Requires:       lua
Provides:       graphviz_plugin = %{version}

%description -n graphviz-lua
The graphviz-lua package contains the lua extension for the graphviz
tools.

%if %{with graphviz_ocaml}
%package -n graphviz-ocaml
Summary:        OCAML extension for graphviz
Group:          Productivity/Graphics/Visualization/Graph
Requires:       graphviz = %{version}
Requires:       ocaml
Provides:       graphviz_plugin = %{version}

%description -n graphviz-ocaml
The graphviz-ocaml package contains the Objective Caml extension for
the graphviz tools.
%endif

%package -n graphviz-perl
Summary:        Perl extension for Graphviz
Group:          Productivity/Graphics/Visualization/Graph
Requires:       graphviz = %{version}
Requires:       perl = %{perl_version}
Provides:       graphviz_plugin = %{version}

%perl_requires

%description -n graphviz-perl
The graphviz-perl package contains the Perl extension for the graphviz
tools.

%package -n graphviz-php
Summary:        PHP Extension for Graphviz
Group:          Productivity/Graphics/Visualization/Graph
Requires:       graphviz = %{version}
Requires:       php5
Provides:       graphviz_plugin = %{version}

%description -n graphviz-php
The graphviz-php package contains the PHP extension for the graphviz
tools.

%package -n graphviz-python
Summary:        Python Extension for Graphviz
Group:          Productivity/Graphics/Visualization/Graph
Requires:       graphviz = %{version}
Requires:       python
Provides:       graphviz_plugin = %{version}

%description -n graphviz-python
The graphviz-python package contains the Python extension for the
graphviz tools.

%package -n graphviz-ruby
Summary:        Ruby Extension for Graphviz
Group:          Productivity/Graphics/Visualization/Graph
Requires:       graphviz = %{version}
Requires:       ruby
Provides:       graphviz_plugin = %{version}

%description -n graphviz-ruby
The graphviz-ruby package contains the ruby extension for the graphviz
tools.

%if %{with mono}
%package -n graphviz-sharp
Summary:        C# Extension for Graphviz
Group:          Productivity/Graphics/Visualization/Graph
Requires:       graphviz = %{version}
Requires:       mono-core
Provides:       graphviz_plugin = %{version}

%description -n graphviz-sharp
The graphviz-sharp package contains the C# extension for the graphviz
tools.
%endif

%package -n graphviz-tcl
Summary:        Tcl extension tools for graphviz
Group:          Development/Libraries/Tcl
Requires:       graphviz = %{version}
Requires:       tcl >= 8.3
Requires:       tk
Provides:       graphviz_plugin = %{version}

%description -n graphviz-tcl
The graphviz-tcl package contains the various tcl packages (extensions)
for the graphviz tools.

%package -n graphviz-doc
Summary:        Documentation for graphviz
Group:          Productivity/Graphics/Visualization/Graph

%description -n graphviz-doc
Provides some additional PDF and HTML documentation for graphviz.

%prep
%setup -q -n %{mname}-%{version}
%patch3
%patch4
%patch5 -p1
%patch100
%patch103
%patch106
%patch108
rm -f contrib/gprof2dot.awk

# Fix path in generated man pages
sed -e 's$@LIB_DIR@$%{_libdir}$g' tclpkg/gv/gv_doc_langs.tcl >tclpkg/gv/gv_doc_langs.tcl.new && mv tclpkg/gv/gv_doc_langs.tcl.new tclpkg/gv/gv_doc_langs.tcl

%build
autoreconf -fi
WARN_FLAGS="-W -Wall -Wno-unused-parameter -Wno-unknown-pragmas -Wstrict-prototypes -Wpointer-arith"
CFLAGS="%{optflags} $WARN_FLAGS"
%ifarch %ix86 x86_64
CFLAGS="$CFLAGS -ffast-math"
%endif
%if %suse_version > 1210
rubyflags=$(pkg-config --cflags ruby-$(echo %rb_ver | sed 's|\.[^.]*$||'))
CFLAGS="$CFLAGS $rubyflags"
CXXFLAGS="$CXXFLAGS $rubyflags"
%endif

export CFLAGS
export CXXFLAGS="$CXXFLAGS -fpermissive"
export CPPFLAGS="%{optflags}"
%configure \
      --with-x \
      --disable-static \
      --disable-dependency-tracking \
      --with-ipsepcola \
      --without-ming \
      --disable-silent-rules \
      --enable-ltdl-install=no \
%if %{without mono}
      --enable-sharp=no \
%endif
      --disable-io
make DESTDIR=%{buildroot}  %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} \
	pkgconfigdir=%{_libdir}/pkgconfig
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
mkdir -p %{buildroot}/%{_docdir}
mkdir -p %{buildroot}%{_datadir}/%{mname}
mkdir -p %{buildroot}%{_datadir}/tcl/%{mname}
cp -a %{buildroot}%{_datadir}/%{mname}/doc %{buildroot}%{_defaultdocdir}/%{mname}-doc
rm -rf %{buildroot}%{_datadir}/%{mname}/doc
mkdir -p %{buildroot}%{_libdir}/graphviz
rm -f  %{buildroot}%{_bindir}/*
rm -rf %{buildroot}%{_includedir}/graphviz
rm -f  %{buildroot}%{_libdir}/graphviz/%{config_file}
rm -f  %{buildroot}%{_libdir}/graphviz/libgvplugin_core*
rm -f  %{buildroot}%{_libdir}/graphviz/libgvplugin_dot_layout*
rm -f  %{buildroot}%{_libdir}/graphviz/libgvplugin_neato_layout*
rm -f  %{buildroot}%{_libdir}/lib*
rm -rf %{buildroot}%{_libdir}/pkgconfig
rm -rf %{buildroot}%{_datadir}/graphviz/graphs
rm -rf %{buildroot}%{_datadir}/graphviz/lefty
rm -rf %{buildroot}%{_mandir}/man1
rm -f  %{buildroot}%{_mandir}/man3/*.3
rm -f  %{buildroot}%{_mandir}/man7/*.7
rm -rf %{buildroot}%{_datadir}/%{mname}/gvpr
for lib in libgdtclft* libgv_tcl.so libtcldot* libtclplan* libtkspline*; do
   mv %{buildroot}%{_libdir}/%{mname}/tcl/${lib} %{buildroot}%{_libdir}
done
%fdupes -s %{buildroot}%{_defaultdocdir}/%{mname}-doc
rm -rf %{buildroot}/%{_libdir}/%{mname}/%{_lib}
install -Dd %{buildroot}%{rb_vendorarchdir}
mv %{buildroot}%{_libdir}/%{mname}/tcl/pkgIndex.tcl %{buildroot}%{_datadir}/tcl/%{mname}/pkgIndex.tcl
# remove graphviz bindings from graphviz dir, these are installed into the language specific directories
rm -rf %{buildroot}%{_libdir}/graphviz/lua
rm -rf %{buildroot}%{_libdir}/graphviz/perl
rm -rf %{buildroot}%{_libdir}/%{mname}/php
rm -rf %{buildroot}%{_libdir}/graphviz/python
rm -rf %{buildroot}%{_libdir}/graphviz/ruby

%files -n graphviz-gd
%defattr(-,root,root)
%{_libdir}/graphviz/libgvplugin_gd.so*

%post -n graphviz-gd
%{_bindir}/dot -c

%postun -n graphviz-gd
%{_bindir}/dot -c 2>/dev/null

%post -n graphviz-gnome
%{_bindir}/dot -c

%postun -n graphviz-gnome
%{_bindir}/dot -c 2>/dev/null

%files -n graphviz-gnome
%defattr(-,root,root,-)
%{_libdir}/graphviz/libgvplugin_pango*
%{_libdir}/graphviz/libgvplugin_gtk*
%{_libdir}/graphviz/libgvplugin_xlib*
%{_libdir}/graphviz/libgvplugin_gdk*

%post -n graphviz-tcl -p /sbin/ldconfig

%postun -n graphviz-tcl -p /sbin/ldconfig

%files -n graphviz-guile
%defattr(-,root,root,-)
%{_libdir}/graphviz/guile
%doc %{_mandir}/man3/gv.3guile.gz

%if %{with java}
%files -n graphviz-java
%defattr(-,root,root,-)
%{_libdir}/graphviz/java
%{_mandir}/man3/gv.3java.gz
%endif

%if %{with mono}
%files -n graphviz-sharp
%defattr(-,root,root)
%{_libdir}/graphviz/sharp
%doc %{_mandir}/man3/gv.3sharp.gz
%endif

%files -n graphviz-lua
%defattr(-,root,root,-)
%{_datadir}/%{mname}/demo/modgraph.lua
%dir %lua_libdir
%{lua_libdir}/gv.so
%doc %{_mandir}/man3/gv.3lua.gz

%if %{with graphviz_ocaml}
%files -n graphviz-ocaml
%defattr(-,root,root,-)
%{_libdir}/graphviz/ocaml
%doc %{_mandir}/man3/gv.3ocaml.gz
%endif

%files -n graphviz-perl
%defattr(-,root,root,-)
%{perl_vendorarch}/gv.pm
%{perl_vendorarch}/gv.so
%{_datadir}/%{mname}/demo/modgraph.pl
%doc %{_mandir}/man3/gv.3perl.gz

%files -n graphviz-php
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/gv.so
%{_datadir}/php5/gv.php
%doc %{_mandir}/man3/gv.3php.gz
%{_datadir}/%{mname}/demo/modgraph.php

%files -n graphviz-python
%defattr(-,root,root,-)
%{py_sitedir}/_gv.so
%{py_sitedir}/gv.py
%doc %{_mandir}/man3/gv.3python.gz
%{_datadir}/%{mname}/demo/modgraph.py

%files -n graphviz-ruby
%defattr(-,root,root,-)
%{rb_vendorarchdir}/gv.so
%doc %{_mandir}/man3/gv.3ruby.gz
%{_datadir}/%{mname}/demo/modgraph.rb

%files -n graphviz-tcl
%defattr(-,root,root)
%dir %{_datadir}/tcl/%{mname}
%{_libdir}/tcl[0-9].[0-9]
%{_libdir}/libgdtclft*
%{_libdir}/libgv_tcl.so
%{_libdir}/libtcldot*
%{_libdir}/libtclplan*
%{_libdir}/libtkspline*
%{_datadir}/tcl/%{mname}/pkgIndex.tcl
%{_datadir}/graphviz/demo
%doc %{_mandir}/man3/*.3tcl*
%doc %{_mandir}/man3/*.3tk*
%exclude %{_datadir}/%{mname}/demo/modgraph.rb
%exclude %{_datadir}/%{mname}/demo/modgraph.php
%exclude %{_datadir}/%{mname}/demo/modgraph.py
%exclude %{_datadir}/%{mname}/demo/modgraph.lua
%exclude %{_datadir}/%{mname}/demo/modgraph.pl

%files -n graphviz-doc
%defattr(-,root,root,-)
%docdir %{_defaultdocdir}/%{mname}-doc
%{_defaultdocdir}/%{mname}-doc

%changelog
* Fri Nov 24 2017 pth@suse.de
- Add graphviz-fix_format_string_vulnerability.patch to fix CVE-2014-9157
  (bsc#908426).
* Mon May 23 2016 olaf@aepfle.de
- Disable ocaml plugins, not ready for upstream ocaml (fate#320836)
* Mon Jun 15 2015 schwab@suse.de
- Enable ocaml and java plugins on aarch64
* Wed Jun 10 2015 mpluskal@suse.com
- Update gnome dependencies
* Fri Apr 17 2015 stefan.bruens@rwth-aachen.de
- Cleanup spec:
  * remove duplicate language binding files
  * fix fdupes invocation for doc files
  * remove statements without effect
  * silence warning messages on plugin deinstallation
  * fix %%post/%%pre Requires
* Thu Mar 19 2015 dvlaeev@suse.com
- Disable Mono by default
* Mon Sep  8 2014 coolo@suse.com
- remove conflict with lua 5.2, seems outdated
* Thu Jul 17 2014 pth@suse.de
- Change License to EPL-1.0.
* Tue Jul 15 2014 toddrme2178@gmail.com
- Require gd-devel instead of libgd-devel.  That is the current
  name for the package.
- Remove upstream-included patch graphviz-ppc64le_lib64_support.patch
* Wed Jun 18 2014 pth@suse.de
- Apply patch from darix to ask ruby for directories.
- Fix install path for tcl plugins.
- Fix file list for gnome plugins.
- Remove graphviz-plugins-tcl_install_dir.patch as it's not needed
  anymore.
- Remove graphviz-getaddrinfo.patch as the patch is upstream.
* Tue Jun 17 2014 mrueckert@suse.de
- instead of guessing the ruby paths. let's just use the existing
  variables or at least ask ruby for it.
* Fri May 23 2014 pth@suse.de
- Fix URL to point to the new location of the sources.
* Fri May 23 2014 pth@suse.de
- Update to 2.38.0. Changes since 1.35.0:
  - Resolve bugs: 2409, 2413, 2417, 2420, 2422, 2423, 2425
  - Enable packing for dot
  - Allow scaling to work for all non-dot layouts
  - Add overline text characteristic.
  - Fix bugs in gvpr and gv.cpp so edges can be created in subgraphs.
  - Add edgepaint program for coloring edges to make them easier to
    tell apart.
  - Modify neato to avoid unnecessary translations of output. This
    allows positions given on input to remain the same on output.
  - Fix swig java package to work and support gv.renderresult.
  - Fix test for the absence of layout (old test relied on statically
    allocated Agraphinfo_t).
  - HTML-like tables and cells can now specify which borders should be drawn.
  - The fixedsize attribute now takes the value "shape" which allows
    labels much larger than the node shape.
- Remove graphviz-fix-includes.patch as the fix has been done
  upstream.
- Add graphviz-array_overflow.patch to fix an off-by-one error.
* Sat Feb  8 2014 pth@suse.de
- Remove non-existing patch from spec.
* Tue Feb  4 2014 pth@suse.de
- Change license to EPL-1.0. Remove contrib/gprof2dot.awk as it
  contains a non-working uri.
* Sat Feb  1 2014 coolo@suse.com
- use the right ruby macro
* Sat Jan 18 2014 coolo@suse.com
- fix mono bcond. It's without, not !with
* Sat Jan 18 2014 coolo@suse.com
- use global java bcond instead of an own now that it buildrequires
  jdk and no longer gcc
* Tue Jan 14 2014 dvlaeev@suse.com
- Don't build C# binding without mono. Otherwise we get unpackaged
  files.
* Sat Jan 11 2014 coolo@suse.com
- remove unneeded ksh dependency
* Fri Dec  6 2013 matz@suse.de
- Add powerpc64le to list of lib64 platforms
  (graphviz-ppc64le_lib64_support.patch).
* Mon Oct 14 2013 pth@suse.de
- Use wildcards for specifying tcl directory.
* Thu Oct 10 2013 pth@suse.de
- Change BuildRequires for Java so that the spec doesn't need
  to be modified for newer jdk versions.
* Tue Oct  8 2013 pth@suse.de
- Don't apply graphviz-fix-pkgIndex.patch twice.
- Remove Buildrequires for libqt4-devel.
* Thu Sep 12 2013 pth@suse.de
- Add graphviz-python3_version.patch that put the call to print in
  Parentheses.
* Mon Sep  9 2013 pth@suse.de
- Update to 2.34.0 (see changes for graphviz),
- Remove patches accepted upstream:
  graphviz-missing_headers.patch, graphviz-aarch64_lib64_support.patch,
  graphviz-type_punning.patch, graphviz-buffer_overflow.patch,
  graphviz-proper_prototypes.patch, graphviz-python_version.patch,
  graphviz-guile.patch, graphviz-java_in_lib64.patch
- Add graphviz-type_punning.patch which compiles the vmalloc sources
  with -fno-strict-aliasing.
* Thu Sep  5 2013 pth@suse.de
- Update to 2.32.0. Changes since 2.28.0:
  2.32.0:
  - New version of xdot format, annotating gradient color schemes
  - Support for reading pdf images using poppler
  - Lefty/dotty/lneato now accept anonymous graphs
  - Add star node shape
  - Add two-tone (non-gradient) fill
  2.30.1:
  - various build fixes
  2.30.0:
  - Replaced libgraph with libcgraph; use of libgraph is now deprecated
  - New ranking algorithm that allows multiple subgraph constraints
  - Support edges using curved arcs.
  - Added new shapes used by the synthetic biology community.
  - For HTML-like labels, provide rounded cells, and dashed or dotted borders.
  - Add lcurve and rcurve arrowheads.
  - Add prototype pie chart and striped fills.
  - Support insets in treemaps to make containment clear
  - Add random rooted tree generation to gvgen
  - Allow GVPRPATH to specify that the default path be prepended or
    appended to it.
  - Support arbitrary lists of layers; allow the user to specify arbitrary
    layers for output.
  - A collection of gvpr scripts, which were part of the source package,
    are now installed in <prefix>/share/graphviz/gvpr, and the that path
    is used as part of th default built-in path for gvpr.
  - Update libexpr to reflect Glenn Fowler's changes including scopes for
    variables.
  - Add next graph variable to gvpr
  - Modify dot and fdp so that a cluster's margin attribute will affect
    the space between the bounding box and nodes
  - Modify the dijkstra tool to use only directed edges
  - Output numbers without quotes if quotes are not needed on input
  - Support gradient fill
  - Provide support for webp images
  - Fix tapered edges to use the dir attribute and arrowhead
  - Add imagepath attribute
  - Add help functionality to Graphviz.app
  - Add <B>,<I>,<U> to html strings via svg
  - Add tapered edges
  - Add support for external labels
  - Add initial implementation of graphml2gv
  - Add basic horizontal and vertical rules to html tables
- Remove graphviz-gd_png_check_sig.patch as the file to patch doesn't
  exist anymore.
- Add graphviz-buffer_overflow.patch to fix a buffer ovderflow in
  lib/common/shapes.c(round_corners) by increasing the number of
  elements in the array.
- Add graphviz-proper_prototypes.patch that changes dthdr.h to
  include ast_common.h to get __STD_C defined, which in turn
  enables proper prototypes.
- Run autoreconf to use -fno-strict-aliasing for libvmalloc sources
- Remove graphviz-2.18-do_not_use_ocamlopt.patch as it's not needed
  anymore.
- Adapt graphviz-guile.patch, graphviz-plugins-fix_install_dirs.patch
  and graphviz-python_version.patch to the new sources.
- Add graphviz-java_in_lib64.patch to search in /usr/lib64/jvm for
  the java headers on platforms using lib64.
- Add graphviz-proper_use_of_qw.patch to put the use of qw in
  config/config_perl.pl in brackets.
- Add graphviz-useless_warnings.patch to make gcc not warn about
  harmless issues that arise from code generated by swig.
- Add patch tags in the spec files
- Upstreamed all patches that aren't SUSE specific.
* Fri May 31 2013 mhrusecky@suse.com
- use %%rb_ver to decide correct ruby version
* Thu Mar 28 2013 pth@suse.de
- Rename aarch64-lib64-support.diff to graphviz-aarch64_lib64_support.patch.
- Compile the code in lib/vmalloc with -fno-strict-aliasing
  as it does type punning.
* Sat Mar 16 2013 dmueller@suse.com
- add build conditionals for java, ocaml and mono (needed for
  aarch64 port for now)
- add aarch64-lib64-support.diff:
  add aarch64 to the list of lib64 architectures
* Mon Sep  3 2012 pth@suse.de
- Reinstate the dependency on gtkglext-devel but guarded by an
  'if suse_version > 1220'.
* Mon Sep  3 2012 idonmez@suse.com
- Remove dependency on gtkglext-devel, package no longer exists
  in openSUSE > 12.2
* Mon Jun 11 2012 coolo@suse.com
- survive new ruby without autoreconf
* Wed Apr  4 2012 reddwarf@opensuse.org
- Force lua 5.1 to fix Factory build
* Tue Feb 28 2012 jsmeix@suse.de
- BuildRequire "ghostscript" instead of outdated "ghostscript-mini"
  (related to Ghostscript package clean-up, see bnc#735824).
* Wed Oct 19 2011 coolo@suse.com
- /usr/bin/php5 does not exist
* Tue Oct  4 2011 pth@suse.de
- Rename and prefix patch for uniformity within the package.
* Wed Sep 28 2011 idonmez@suse.com
- Fix compilation with new guile
- Update to version 2.28.0
  - incremented library api version:
    libcdt, libgraph, libcgraph, libgvpr, libgvc
  - Add gvmap, cluster and gvmap.sh
  - Deprecate dotty; prefer gvedit
  - Add patchwork supporting squarified tree maps
  - Add ordering as a node attribute
  - Fix problems with font resolution
  - Fix problems with text placement
  - Fix twopi to set root attribute
  - Make available layouts and formats available via the API
  - Fix error message system so that an application can capture the messages
  - New attributes and features for sfdp
  - gvgen now allows the user to specify graph name and node name template
  - Make overlap=false denote overlap=prism
  - More efficient xdot library
  - HTML-like labels provide ID
  - Fixed bugs: 1480 1980 2044 2087 2088 2089 2091 2093 2094
    2095 2101 2102 2103 2104 2112 2113 2118 2128 2129 2139 2149
    2157 2113 2159 2160 2161 2163
  - Add scale attribute to twopi
  - Add <B>,<I>,<U> to html strings
  - migrated to 2005 version of cdt
* Fri Mar 11 2011 coolo@novell.com
- fix conflict with libltdl (http://bugs.gentoo.org/339298)
* Fri Jun 18 2010 pth@suse.de
- Fix CPPFLAGS for real.
* Tue Jun 15 2010 pth@suse.de
- Readd AM_CPPFLAGS for libgv_perl.
* Fri Jun 11 2010 pth@suse.de
- Set rpath for libperl (bnc#612766).
* Wed Jun  2 2010 pth@suse.de
- Dot requires fonts when using pango for output (bnc#610873).
* Fri May 28 2010 meissner@suse.de
- remove a powerpc hack for Darwin that failed our PowerPC build.
* Fri Nov 13 2009 dmueller@suse.de
- require the exact perl version it was build against, otherwise
  libperl.so can not be found
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Fri Oct 24 2008 mrueckert@suse.de
- fix build with newer libtool
- fix debug package requires
* Mon Oct 13 2008 pth@suse.de
- Fix vulnerability that allowed overflowing gstack (bnc#433747)
* Wed Sep 17 2008 dmueller@suse.de
- fix python version detection
* Thu Aug 14 2008 ro@suse.de
- drop get_release_number script
- remove release requires in plugins package, require just
  the same version
* Thu Aug  7 2008 ro@suse.de
- drop nodebug, require main graphviz package from debuginfo
  instead
* Thu Jul 10 2008 pth@suse.de
- Update to 2.20.2. Changes since 2.18:
  2.20.2:
  - Fix bug in HTML-like labels
  2.20.1:
  - Fix bug in ccomps related to conversion to cgraph
  2.20.0:
  - Fixed bugs (see http://www.graphviz.org/bugs/buglist.html for
    details:
  - 1315: Different/error output for *.os and *.pdf
  - 1317: Graphviz fails to open more than 512 files.
  - 1324: Graphviz crashes in atexit().
  - 1336: Plain format label delimiters change randomly.
  - 1343: Layouts other than 'dot' seem broken in tcldot due to
    documentation error.
  - 1364: Dot fails with failed assertion.
  - Add new "folder" shape for nodes.
  - Migration of gvpr tools to libcgraph.
  - New output format -Teps  (encapsulated postscript)
  - Various NetBSD and SuSE fixes incorporated
  - ./configure now provides a summary
* Tue Apr 29 2008 pth@suse.de
- Disable the use of ocamlopt as the archive turns up empty (bnc#384855).
* Sun Apr 27 2008 coolo@suse.de
- fix build
* Tue Apr 22 2008 pth@suse.de
- Move all GTK/GNOME related stuff to plugins package.
* Thu Apr 17 2008 pth@suse.de
- Switch off strict aliasing until swig produces code that plays
  by the rules.
* Mon Apr  7 2008 pth@suse.de
- Fix paths for lua and php interpreter in examples.
* Thu Apr  3 2008 pth@suse.de
- Fix package and filelist correctly.
- Install tcl specific libraries to %%_libdir
- Properly package language specific demo code
* Sun Mar 30 2008 ro@suse.de
- fix build (added directories to filelist)
* Fri Mar 28 2008 pth@suse.de
- Update to 2.18. Changes since 2.12:
  - Lots of bugs fixed, see ChangeLog for detailed list.
  - in -Tps use a new number formatter that suppresses trailing 0.
  - support tcl/tk-8.5
  - support gcc-4.3
  - support for node usershapes/images in svg format
  - install: perl, php, python, ruby, tcl, bindings in
    language-specified directories
  - add arrowhead scaling with edge penwidth
  - add "folder" node shape
  - add "smyna" large graph view (thanks Arif) (not yet included
    in binary distros)
  * 2.16.1
  - Improvements to PHP binding
  - Improvements to OCAML binding
  - Make regression tests run from the build tree, rather than require
    installation
  - Repair freetype detection on RedHat-7 (Yes, people still use it!!)
  - Fix zoom-at-mouse-location in -Txlib and -Tgtk
  - Fix some dotty regressions
  * 2.15
  - new regression test suite
  - new cgraph library (will eventually replace graph and agraph)
  - add "image" and "imagescale" for simpler support for images in nodes
  - add "tab" "box3d" and "component" shapes.  - Diomidis Spinellis
  - replace arith.h in distro
  - add functions to access version info to avoid need for gvcint.h
  - Fix problem with irregular character spacing at 96dpi in pango/cairo
    output formats.
  - Add gdk_pixbuf plugin providing: .bmp .ico .jpg .png .tif
  - Add DevIL plugin providing: .bmp .jpg .png .tif .tga
  - Extend GD plugin to provide a backend to cairo for: .gif .jpg .png .gd
    .gd2 .wbmp  <- gifs are now antialiased
  - Rework plugin framework to separate device from renderer, and to
    autoload load dependendent plugins
  - show defaults in output from: ./configure --help
  - add more info to dot -v  and dot -v2 debug outputs
  - various issues with CR/LF in windows, but not in binary outputs.
  * 2.14.1
  - Add xdot parsing library to source distros
  - graphviz.spec fixes for rpm distros from Gareth Armstrong
  - moved language binding man pages to mann
    (gv_php.n, gv_ocaml.n, etc.)
  - New access functions for version info in GVC_t - permits
    gvcint.h to be private.
  * 2.14:
  - Using system version of libgd if gd-2.0.34 or later.
    internal copy of gd updated to gd-2.0.35.
  - Updated GVGUI viewer for Windows
  - Added support for selection of edge routing types:
    line, polyline, orthogonal, spline
  - Added -Tvml support
- Adapt the patch to allow ^LT_(CURRENT|REVISION|AGE)$ in
  configure script and reenable the use of these variables.
* Thu Mar 13 2008 schwab@suse.de
- Allow ^LT_(CURRENT|REVISION|AGE)$ in configure script.
- Remove broken autoconf macros.
* Fri Oct 26 2007 pth@suse.de
- Add missing includes.
* Thu Aug 16 2007 pth@suse.de
- Add missing BuildRequires for fdupes
- Guard fdupes by check for suse_version
* Mon Aug 13 2007 pth@suse.de
- lib/sfio/sfhdr.h(SFSETLOCALE): fix test for null pointer.
- Fix include paths for php5
- Move gv_php man page to where man searches for it.
- Use %%%%fdupes
- Add rpmlintrc
- use -fno-strict-aliasing for gv_php
* Mon Jun 11 2007 ro@suse.de
- no main package, no debuginfo
* Wed Jun  6 2007 pth@suse.de
- Move man pages to _mandir (bugzilla #281398)
* Fri May 11 2007 ro@suse.de
- added get_release_number.sh to sync rel-number between
  graphviz and graphviz-plugins
* Thu May 10 2007 ro@suse.de
- create own specfile for all plugins to reduce build dependencies
  of main package (and break various build cycles)
